#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libnet
Version		:	1.2
Release		:	14.4.0.0%{?dist}
Summary		:	 C library for portable packet creation and injection
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/libnet/libnet

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  doxygen
BuildRequires:  graphviz

#-----------------------------------------------------------------------------
%description
Libnet is an API to help with the construction and
handling of network packets. It provides a portable
framework for low-level network packet writing and
handling (use libnet in conjunction with libpcap and
you can write some really cool stuff).
Libnet includes packet creation at the IP layer and
at the link layer as well as a host of supplementary and
complementary functionality.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc README.md ChangeLog.md
%{_libdir}/%{name}.so.9*

#==============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The libnet-devel package includes header files and
libraries necessary for developing programs which
use the libnet library. Libnet is very handy with
which to write network tools and network test code.
See the man page and sample test code for more
detailed information.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc doc/html/
%{_bindir}/%{name}-config
%{_includedir}/%{name}.h
%{_includedir}/%{name}/%{name}-*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

# Clean up for later usage in documentation
%{__rm} -rf %{buildroot}%{_defaultdocdir}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
